### Signal

# WebKit2 PrintOperation::create-custom-widget

#### Declaration

    WebKitPrintCustomWidget*
    create_custom_widget (
      WebKitPrintOperation* self,
      gpointer user_data
    )

#### Description [src]

Emitted when displaying the print dialog with webkit_print_operation_run_dialog(). The returned `WebKitPrintCustomWidget` will be added to the print dialog and it will be owned by the `print_operation`. However, the object is guaranteed to be alive until the `WebKitPrintCustomWidget::apply` is emitted.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 2.16

#### Return value

Returns: | `WebKitPrintCustomWidget`
| A `WebKitPrintCustomWidget` that will be embedded in the dialog.
| The caller of the function takes ownership of the data, and is responsible for freeing it.